/**
*Transmission App
* Implementing Transmission App
*/
var MariadbApp = MariadbApp || {};  //Define Transmission App namespace.
/**
*Constructor UNAS App
*/
MariadbApp.App = function () {
    this.id = 'Mariadb';
    this.name = 'Mariadb';
    this.version = '6.0.6';
    this.active = false;
    this.menuIcon = '/apps/mariadb/images/logo.png?v=6.0.6&';
    this.shortcutIcon = '/apps/mariadb/images/logo.png?v=6.0.6&';
    this.entryUrl = '/apps/mariadb/mariadb.html?v=6.0.6&';
    var self = this;
    this.MariadbAppWindow = function () {
        if(UNAS.CheckAppState('Mariadb')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'MariadbAppWindow',
            title: UNAS._('Mariadb'),
            icon: '/apps/mariadb/images/logo_small.png?v=6.0.6&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [650, 1200], 'y': [450, 900] },
            contentURL: '/apps/mariadb/mariadb.html?v=6.0.6&',
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Mariadb",'MariadbAppWindow')}
        });
    };
    this.MariadbUninstall = function (){
        UNAS.RemoveDesktopShortcut('Mariadb');
        UNAS.RemoveMenu('Mariadb');
        UNAS.RemoveAppFromGroups('Mariadb', 'ControlPanel');
        UNAS.RemoveAppFromApps('Mariadb');
    };
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Mariadb', '', this.MariadbAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Mariadb', this.MariadbAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 5, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Mariadb', UNAS._('Mariadb')); //translate menu
        UNAS.SetShortcutTitle('Mariadb', UNAS._('Mariadb'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('MariadbAppWindow', UNAS._('Mariadb'));
        }
    };
    UNAS.LoadTranslation('/apps/mariadb/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.MariadbAppWindow, this.MariadbUninstall);
};

new MariadbApp.App();
